
public class Class463_Sub30 extends Class463 {

   static final int anInt8457 = 1;
   public static final int anInt8458 = 0;
   public static final int anInt8459 = 2;


   public Class463_Sub30(Class225_Sub6 var1) {
      super(var1);
   }

   public int method7811(int var1) {
      return 0 != var1 && this.aClass225_Sub6_5738.aClass463_Sub27_8475.method13467(1220595344) != 1?2:1;
   }

   public void method13482(byte var1) {
      if(-204978999 * this.anInt5736 < 0 && this.anInt5736 * -204978999 > 2) {
         this.anInt5736 = this.method7807(-1267696279) * -1684335239;
      }

   }

   int method7807(int var1) {
      return 1;
   }

   public Class463_Sub30(int var1, Class225_Sub6 var2) {
      super(var1, var2);
   }

   public boolean method13483(byte var1) {
      return true;
   }

   public int method7808(int var1, int var2) {
      return 0 != var1 && this.aClass225_Sub6_5738.aClass463_Sub27_8475.method13467(1277821705) != 1?2:1;
   }

   public int method13484(int var1) {
      return -204978999 * this.anInt5736;
   }

   int method7815() {
      return 1;
   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = var1 * -1684335239;
   }

   public int method7813(int var1) {
      return 0 != var1 && this.aClass225_Sub6_5738.aClass463_Sub27_8475.method13467(128377689) != 1?2:1;
   }

   public int method13485() {
      return -204978999 * this.anInt5736;
   }

   void method7814(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   void method7810(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   public void method13486() {
      if(-204978999 * this.anInt5736 < 0 && this.anInt5736 * -204978999 > 2) {
         this.anInt5736 = this.method7807(-1151540910) * -1684335239;
      }

   }

   public void method13487() {
      if(-204978999 * this.anInt5736 < 0 && this.anInt5736 * -204978999 > 2) {
         this.anInt5736 = this.method7807(-1947072578) * -1684335239;
      }

   }

   void method7806(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   static void method13488(int var0, boolean var1, byte var2) {
      Class225_Sub14_Sub2 var3 = Class49.method1193(22, (long)var0);
      var3.method15502((byte)-52);
      byte var10001;
      if(var1) {
         if(var2 != 6) {
            ;
         }

         var10001 = 1;
      } else {
         var10001 = 0;
      }

      var3.anInt9990 = var10001 * -1655449005;
   }

   public static void method13489(int var0, int var1) {
      Class225_Sub14_Sub2 var2 = Class49.method1193(12, (long)var0);
      var2.method15501(-2085828746);
   }
}
